<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

class DozentenBewerbung extends Datamodul
{
  public $kurs;

  public $ktid;
  public $doznr;
  public $datum;
  public $status;

  public $kursnr;
  public $ziel;
  public $info;
  public $methode;
  public $material;
  public $bemerkung;

  
  public $macht_aufbau = false;
  
  public $macht_abbau = false;

  
  public $doziert = true;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'datum':
      case 'bearbdatum':
        return \DatamodulVarType::TYPE_DATE;
      case 'doznr':
      case 'status':
      case 'ktid':
        return \DatamodulVarType::TYPE_INT;
      case 'macht_aufbau':
      case 'macht_abbau':
      case 'doziert':
        return \DatamodulVarType::TYPE_BOOL_WF;
    }
  }
}